Zeroconf.idl
/* SPDX-License-Identifier: BSD-3-Clause */
/*
* Copyright 2012 Raritan Inc. All rights reserved.
*/
#include <Event.idl>
/**
* Device Settings
*/
module devsettings {
/** Zero-config service settings interface */
interface Zeroconf_2_0_0 {
/** Zero-configservice settings */
structure Settings {
boolean mdnsEnabled; ///< Enable zero-config advertising via mDNS for device
boolean llmnrEnabled; ///< Enable zero-config advertising via LLMNR for device
};
valueobject SettingsChangedEvent extends idl.Event {
Settings oldSettings; ///< old settings
Settings newSettings; ///< new settings
};
/**
* Retrieve the service settings.
*
* @return Zero-config service settings
*/
Settings getSettings();
/**
* Set the service settings.
*
* @param settings New settings
*/
void setSettings(in Settings settings);
};
}
devsettings::Zeroconf_2_0_0::newSettings
Settings newSettings
new settings
Definition: Zeroconf.idl:23
devsettings::Zeroconf_2_0_0
Zero-config service settings interface.
Definition: Zeroconf.idl:13
idl
Basic IDL definitions.
Definition: Event.idl:10
devsettings
Device Settings.
Definition: Modbus.idl:9
devsettings::Zeroconf_2_0_0::Settings::mdnsEnabled
boolean mdnsEnabled
Enable zero-config advertising via mDNS for device.
Definition: Zeroconf.idl:17
devsettings::Zeroconf_2_0_0::Settings
Zero-configservice settings.
Definition: Zeroconf.idl:16
devsettings::Zeroconf_2_0_0::Settings::llmnrEnabled
boolean llmnrEnabled
Enable zero-config advertising via LLMNR for device.
Definition: Zeroconf.idl:18